Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.predicates
Class ReciprocatedDirectedEdgePredicate

    java.lang.Object
      edu.uci.ics.jung.graph.predicates.GPredicate
          edu.uci.ics.jung.graph.predicates.EdgePredicate
              edu.uci.ics.jung.graph.predicates.ReciprocatedDirectedEdgePredicate

All Implemented Interfaces:
  Predicate

public class ReciprocatedDirectedEdgePredicate
extends EdgePredicate

Returns `true` if and only if this edge is a `DirectedEdge` that has an antiparallel `DirectedEdge` in this graph. Two directed edges are antiparallel to one another if one edge's source is the other's destination, and vice versa.

Author:
  Joshua O'Madadhain

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.predicates.GPredicate
`isInitializationPredicate`

Constructor Summary
`protected` | `ReciprocatedDirectedEdgePredicate()`

Method Summary
`boolean` | `evaluateEdge(ArchetypeEdge e)`
`static ReciprocatedDirectedEdgePredicate` | `getInstance()`
`String` | `toString()`

Methods inherited from class edu.uci.ics.jung.graph.predicates.EdgePredicate
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReciprocatedDirectedEdgePredicate

    protected ReciprocatedDirectedEdgePredicate()

Method Detail

### getInstance

    public static ReciprocatedDirectedEdgePredicate getInstance()

### toString

    public String toString()

### evaluateEdge

    public boolean evaluateEdge(ArchetypeEdge e)

  Specified by:
    `evaluateEdge` in class `EdgePredicate`
  See Also:
    `EdgePredicate.evaluateEdge(edu.uci.ics.jung.graph.ArchetypeEdge)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD